Summary: PVM enhanced version of GNU make
Name: make_pvm
Version: 3.78.1
Release: 2
Copyright: GPL
Group: Development/Tools
Source: http://www.crosswinds.net/~jlabrous/GNU/PVMGmake/Download/make-3.78.1_pvm-0.5.tar.gz
Requires: pvm
Buildroot: /var/tmp/%{name}-root
%define pvm_arch $(/usr/share/pvm3/lib/pvmgetarch)

%description
PVM enhanced version of GNU make

A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about
how the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q -n make-%{version}_pvm-0.5

%build
%configure --with-pvm=/usr/share/pvm3
make

%install
rm -f $RPM_BUILD_ROOT/usr/info/make.info*


make prefix=$RPM_BUILD_ROOT/usr install

mkdir -p $RPM_BUILD_ROOT/usr/share/pvm3/bin/%{pvm_arch}

pushd $RPM_BUILD_ROOT/usr ; { 
  rm -f ./info/dir
  gzip -9nf ./info/make.info*
  strip ./bin/make ./bin/make_pvm
  mv ./bin/make $RPM_BUILD_ROOT/usr/share/pvm3/bin/%{pvm_arch}/pmake
  mv ./bin/make_pvm $RPM_BUILD_ROOT/usr/share/pvm3/bin/%{pvm_arch}/pmake_pvm
  mv ./man/man1/make.1 ./man/man1/make_pvm.1
} ; popd


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
/usr/share/pvm3/bin/*/pmake
/usr/share/pvm3/bin/*/pmake_pvm
/usr/man/man1/make_pvm.1*

%changelog
* Thu Feb 10 2000 Mike Wangsmo <wanger@redhat.com>
- fixed stupid man page naming conflict

* Fri Feb 04 2000 Mike Wangsmo <wanger@redhat.com>
- built PVMGmake based on our regular make.spec
